version: '3.9'

services:

  db:
    image: mariadb
    restart: always
    environment:
      MARIADB_ROOT_PASSWORD: dev
      MARIADB_DATABASE: core
    healthcheck:
      test: ["CMD", "mysqladmin", "ping", "--silent"]
    ports:
      - 3306:3306

  phpmyadmin:
    image: phpmyadmin
    restart: always
    ports:
      - 85:80
    environment:
      - PMA_ARBITRARY=1
      - PMA_HOST=db
      - PMA_USER=root
      - PMA_PASSWORD=dev

  core:
    build:
      context: ./core
      dockerfile: Dockerfile
    environment:
      - "SPRING_PROFILES_ACTIVE=local"
      - "MYSQL_HOST=db"
    restart: always
    depends_on:
      db:
        condition: service_healthy
    ports:
      - 8080:8080

  geo-service:
    build:
      context: ./geo-service
      dockerfile: Dockerfile
    restart: always
    ports:
      - 3001:3001